text-show-2.1.1: Efficient conversion of values into Text

Copyright | (C) 2014-2015 Ryan Scott
License | BSD-style (see the file LICENSE)
Maintainer | Ryan Scott
Stability | Provisional
Portability | GHC
Safe Haskell | None
Language | Haskell2010

TextShow.Control.Concurrent

Description

Monomorphic `TextShow` functions for concurrency-related data types.

Since: 2

Synopsis

- showbThreadIdPrec :: Int -> ThreadId -> Builder
- showbThreadStatusPrec :: Int -> ThreadStatus -> Builder
- showbBlockReason :: BlockReason -> Builder

# Documentation

showbThreadIdPrec :: Int -> ThreadId -> Builder Source

Convert a `ThreadId` to a `Builder` with the given precedence.

Since: 2

showbThreadStatusPrec :: Int -> ThreadStatus -> Builder Source

Convert a `ThreadStatus` to a `Builder` with the given precedence.

Since: 2

showbBlockReason :: BlockReason -> Builder Source

Convert a `BlockReason` to a `Builder`.

Since: 2